Bug 983843 - Review Request: python-flask-bootstrap - Twitter's Bootstrap in your project, without any boilerplate code
Review Request: python-flask-bootstrap - Twitter's Bootstrap in your project,...
Status: CLOSED DUPLICATE of bug 1388908
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Eduardo Echeverria
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-12 01:25 EDT by Yohan Graterol
Modified: 2016-11-13 11:48 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-13 11:48:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
echevemaster: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Yohan Graterol 2013-07-12 01:25:21 EDT
SPEC URL: http://yograterol.fedorapeople.org/python-flask-bootstrap.spec
SRPM URL: http://yograterol.fedorapeople.org/python-flask-bootstrap-2.3.2.1-1.fc19.src.rpm

python-flask-bootstrap

An extension that includes Twitter's Bootstrap in your project, without any boilerplate code.

Flask-Bootstrap packages Twitter's Bootstrap into an extension that mostly consists of a blueprint named 'bootstrap'. It can also create links to serve Bootstrap from a CDN.

FAS User: yograterol
Comment 1 Eduardo Echeverria 2013-07-14 01:59:37 EDT
Hi Yohan, some commentaries:

/usr/lib/python2.7/site-packages/flask_bootstrap/__init__.py have permissions of 0644, the file contains shebang, please add executable bit, also the package doesn't contains a valid license file, query in upstream for adding to it (according to pipy's site, the license is BSD)-

also the package bundle a boostrap copy, in this moment Fedora doesn't require client-side JavaScript to be unbundled:
see https://fedoraproject.org/wiki/Packaging:Guidelines#Duplication_of_system_libraries, hence no problem here, but boostrap is licensed under ASL2.0 and Glyphicons Free licensed under CC BY 3.0. http://creativecommons.org/licenses/by/3.0/, please query in upstream the licenses and add in %prep section and in the license field, please see https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#Multiple_Licensing_Scenarios, also the awesome font is licensed under OFL http://scripts.sil.org/cms/scripts/page.php?site_id=nrsi&id=OFL_web, and awesome css is licensed under MIT

Cheers
Comment 2 Yohan Graterol 2013-07-19 09:56:02 EDT
Hi echevemaster,

Thank u for your review, here is new spec.

SPEC: http://yograterol.fedorapeople.org/python-flask-bootstrap.spec
SPRM: http://yograterol.fedorapeople.org/python-flask-bootstrap-2.3.2.2-1.fc19.src.rpm

Regards!
Comment 3 Christopher Meng 2013-08-07 00:31:25 EDT
When you are free, please review.

Cheers.
Comment 4 Yohan Graterol 2013-08-07 00:50:38 EDT
I'm waiting the next version of that library.
Comment 5 Eduardo Echeverria 2013-10-09 23:45:11 EDT
flask-bootstrap 3.0.0.1 it has released, please build the newest version for continue the review 
https://pypi.python.org/pypi/Flask-Bootstrap
Comment 7 Pete Travis 2014-02-17 22:34:24 EST
The fonts from bootstrap (and flask-bootstrap) are glyphicons-halflings-regular, not glyphicons-free. I have a review going for glyphicons-halflings-regular[1] as a font-only package. Bootstrap Once it is complete, you can symlink to  %{_datadir}/fonts/glyphicons-halflings and avoid bundling the font.

[1] https://bugzilla.redhat.com/show_bug.cgi?id=1050805
Comment 8 Charalampos Stratakis 2016-09-27 05:53:52 EDT
Flask-Bootstrap is still active upstream.

Is there still an interest on adding this package to Fedora?
Comment 9 Zbigniew Jędrzejewski-Szmek 2016-11-13 11:48:09 EST
Six weeks without reply. There's a duplicate review that is more alive.

*** This bug has been marked as a duplicate of bug 1388908 ***

Note You need to log in before you can comment on or make changes to this bug.